precision mediump float;
uniform sampler2D a_TexCoord;
varying vec2 v_TexCoord;

float randd(vec2 uv) {
 
    float a = dot(uv, vec2(92., 80.));
    float b = dot(uv, vec2(41., 62.));
    
    float x = sin(a) + cos(b) * 51.;
    return fract(x);
    
}

void main()
{
	vec2 uv = v_TexCoord;
    
	vec2 rnd = vec2(randd(uv), randd(uv));
    
    uv += rnd * .02;
    gl_FragColor = texture2D(a_TexCoord, uv);
}

